package com.zcloud.primeport.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.primeport.domain.gateway.MkmjApprovalUserGateway;
import com.zcloud.primeport.domain.model.MkmjApprovalUserE;
import com.zcloud.primeport.dto.MkmjApprovalUserAddCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:16
 */
@Component
@AllArgsConstructor
public class MkmjApprovalUserAddExe {
    private final MkmjApprovalUserGateway mkmjApprovalUserGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(MkmjApprovalUserAddCmd cmd) {
        MkmjApprovalUserE examTypeE = new MkmjApprovalUserE();
        BeanUtils.copyProperties(cmd, examTypeE);
        boolean res = false;
        try {
            res = mkmjApprovalUserGateway.add(examTypeE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

